
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>特征值分解与奇异值分解含义 / iVAN</title>

    <meta name="description" content="特征值分解与奇异值分解含义 一.特征值分解 1. 矩阵乘法 在介绍特征值与特征向量的几何意义之前,先介绍矩阵乘法的几何意义. 矩阵乘法对应了一个变换,是把任意一个向量变成另一个方向或长度的新向量.在这个变化过程中,原向量主要发生旋转.伸缩的变化.如果矩阵对某些向量只发生伸缩变换,不产生旋转效果,那么这些向量就称为这个矩阵的特征向量,伸缩的比例就是特征值. 比如:,它对应的线性变换是下面的形式形式: 由于矩阵M是对称的,所以这个变换是一个对 x , y 轴的一个拉伸变换.[当M中元素值大于1时,是拉伸:当值小于1时,是缩短]">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">特征值分解与奇异值分解含义</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>一、特征值分解<br /> 1、 矩阵乘法</p>
<p>在介绍特征值与特征向量的几何意义之前，先介绍矩阵乘法的几何意义。</p>
<p>矩阵乘法对应了一个变换，是把任意一个向量变成另一个方向或长度的新向量。在这个变化过程中，原向量主要发生旋转、伸缩的变化。如果矩阵对某些向量只发生伸缩变换，不产生旋转效果，那么这些向量就称为这个矩阵的特征向量，伸缩的比例就是特征值。</p>
<p>比如：，它对应的线性变换是下面的形式形式：</p>
<p>由于矩阵M是对称的，所以这个变换是一个对 x , y 轴的一个拉伸变换。【当M中元素值大于1时，是拉伸；当值小于1时，是缩短】</p>
<p>那么如果矩阵M不是对称的，比如：，<br /> 它所描述的变换如下图所示：</p>
<p>这其实是在平面上对一个轴进行的拉伸变换【如蓝色箭头所示】，在图中蓝色箭头是一个最主要的变化方向。变化方向可能有不止一个，但如果我们想要描述好一个变换，那我们就描述好这个变换主要的变化方向就好了。</p>
<p>2、特征值分解与特征向量</p>
<p>如果说一个向量P是方阵A的特征向量，将一定可以表示成AP = λP，λ为特征向量 P对应的特征值。<br /> 特征值分解是将一个矩阵分解为</p>
<p>其中，Q是这个矩阵A的特征向量组成的矩阵，Σ是一个对角矩阵，每一个对角线元素就是一个特征值，里面的特征值是由大到小排列的，这些特征值所对应的特征向量就是描述这个矩阵变化方向（从主要的变化到次要的变化排列）。也就是说矩阵A的信息可以由其特征值和特征向量表示。</p>
<p>对于矩阵为高维的情况下，那么这个矩阵就是高维空间下的一个线性变换。可以想象，这个变换也同样有很多的变换方向，我们通过特征值分解得到的前N个特征向量，那么就对应了这个矩阵最主要的N个变化方向。我们利用这前N个变化方向，就可以近似这个矩阵（变换）。</p>
<p>总结一下，特征值分解可以得到特征值与特征向量，特征值表示的是这个特征到底有多重要，而特征向量表示这个特征是什么。不过，特征值分解也有很多的局限，比如说变换的矩阵必须是方阵。</p>
<p>在机器学习特征提取中，意思就是最大特征值对应的特征向量方向上包含最多的信息量，如果某几个特征值很小，说明这几个方向信息量很小，可以用来降维，也就是删除小特征值对应方向的数据，只保留大特征值方向对应的数据，这样做以后数据量减小，但有用信息量变化不大，PCA降维就是基于这种思路。</p>
<p>matlab中通过eig函数就可求得特征值和特征向量矩阵.<br /> 如：</p>
<p>&gt;&gt;A = 17 24 1 8 15 23 5 7 14 16 4 6 13 20 22 10 12 19 21 3 11 18 25 2 9 &gt;&gt; [V D] = eig(A) V = -0.4472 0.0976 -0.6330 0.6780 -0.2619 -0.4472 0.3525 0.5895 0.3223 -0.1732 -0.4472 0.5501 -0.3915 -0.5501 0.3915 -0.4472 -0.3223 0.1732 -0.3525 -0.5895 -0.4472 -0.6780 0.2619 -0.0976 0.6330 D = 65.0000 0 0 0 0 0 -21.2768 0 0 0 0 0 -13.1263 0 0 0 0 0 21.2768 0 0 0 0 0 13.1263<br />
<br />D对角线的元素即为特征值（表示了伸缩的比例），D就是特征值分解公式中的Σ，V的每一列与D的每列对应，表示对应的特征向量，即特征值分解中的Q。</p>
<p>二、奇异值分解</p>
<p>1、奇异值</p>
<p>特征值分解是一个提取矩阵特征很不错的方法，但是它只是对方阵而言的，在现实的世界中，我们看到的大部分矩阵都不是方阵，比如说有N个学生，每个学生有M科成绩，这样形成的一个N * M的矩阵就不可能是方阵，我们怎样才能描述这样普通的矩阵呢的重要特征呢？奇异值分解可以用来干这个事情，奇异值分解是一个能适用于任意的矩阵的一种分解的方法：<br /> 分解形式：<br /> 假设A是一个M * N的矩阵，那么得到的U是一个M * M的方阵（称为左奇异向量），Σ是一个M * N的矩阵（除了对角线的元素都是0，对角线上的元素称为奇异值），VT(V的转置)是一个N * N的矩阵（称为右奇异向量）。</p>
<p>2、 奇异值与特征值</p>
<p>那么奇异值和特征值是怎么对应起来的呢？我们将一个矩阵A的转置乘以 A，并对(ATA)求特征值，则有下面的形式：</p>
<p>这里的σ就是奇异值，u就是上面说的左奇异向量。</p>
<p>奇异值σ跟特征值类似，在矩阵Σ中也是从大到小排列，而且σ的减少特别的快，在很多情况下，前10%甚至1%的奇异值的和就占了全部的奇异值之和的99%以上了。也就是说，我们也可以用前r（ r远小于m、n ）个的奇异值来近似描述矩阵，即部分奇异值分解：</p>
<p>右边的三个矩阵相乘的结果将会是一个接近于A的矩阵，r越接近于n，则相乘的结果越接近于A。</p>
<p>奇异值分解相对于特征值分解的优势：<br /> ① 分解的矩阵可以是任意矩阵<br /> ② 在恢复信号的时候左右奇异值可以选择不同的维度<br /> 另外值得注意的一点：不论是奇异值分解还是特征值分解，分解出来的特征向量都是正交的。</p>
<p>关于奇异值与PCA的关系， 机器学习中的数学(5)-强大的矩阵奇异值分解(SVD)及其应用给了很好的解释。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-01 02:17:12</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e7%9f%a9%e9%98%b5%e4%b9%98%e6%b3%95/" title="矩阵乘法">矩阵乘法</a>, <a href="https://www.iamivan.net/tag/%e7%89%b9%e5%be%81%e5%90%91%e9%87%8f/" title="特征向量">特征向量</a>, <a href="https://www.iamivan.net/tag/%e7%89%b9%e5%be%81%e5%80%bc%e5%88%86%e8%a7%a3/" title="特征值分解">特征值分解</a>, <a href="https://www.iamivan.net/tag/%e5%a5%87%e5%bc%82%e5%80%bc%e5%88%86%e8%a7%a3/" title="奇异值分解">奇异值分解</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>特征值分解与奇异值分解含义的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b22Kkkb.html" rel="bookmark">特征值分解、奇异值分解、PCA概念整理</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文将分别介绍特征值分解.奇异值分解.及PCA的相关理论概念. 文章末尾将给出Householder矩阵变换.QR算法求解特征值.特征向量的代码 其中,特征值分解.奇异值分解的相关内容,转载自: http://www.cnblogs.com/LeftNotEasy/archive/2011/01/19/svd-and-applications.html 考虑到本文50%以上的部分不是那个哥们的博客原文,所以我搞成原创标题了.... 一.特征值与特征向量的几何意义 1.     矩阵乘法 在介绍特			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pn77Xjz.html" rel="bookmark">学习笔记DL006&colon;特征分解，奇异值分解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				特征分解. 整数分解质因素. 特征分解(eigendecomposition),使用最广,矩阵分解一组特征向量.特征值.方阵			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDekV0b.html" rel="bookmark">跟我一起数据挖掘（13）&mdash;&mdash;矩阵分解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				矩阵分解 (decomposition, factorization)是将矩阵拆解为数个矩阵的乘积,可分为三角分解.满秩分解.QR分解.Jordan分解和SVD(奇异值)分解等,常见的有三种:1)三角分解法 (Triangular Factorization),2)QR 分解法 (QR Factorization),3)奇异值分解法 (Singular Value Decompostion). 三角分解法 三角分解法是将原正方 (square) 矩阵分解成一个上三角形矩阵 或是排列(permut			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MYjdDVp.html" rel="bookmark">使用eigne&lpar;&rpar;求 矩阵的特征值Eigenvalues 和特征向量Eigenvectors</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				矩阵的特征值和特征向量的含义请参考 1. http://zh.wikipedia.org/zh-cn/%E7%89%B9%E5%BE%81%E5%90%91%E9%87%8F 2. http://www.zhihu.com/question/21874816 引用知乎 :    特征值首先是描述特征的.比如你的图片是有特征的,并且图片是存在某个坐标系的.特征向量就代表这个坐标系,特征值就代表这个特征在这个坐标方向上的贡献.总之,就是代表在对应坐标轴上的特征大小的贡献. 在R中如何计算特征值和特征			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z4Rq4qM.html" rel="bookmark">再谈矩阵分解在推荐系统中的应用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文将简单介绍下最近学习到的矩阵分解方法. (1)PureSvd 矩阵分解的核心是将一个非常稀疏的评分矩阵分解为两个矩阵,一个表示user的特性,一个表示item的特性,将两个矩阵中各取一行和一列向量做内积就可以得到对应评分. 那么如何将一个矩阵分解为两个矩阵就是唯一的问题了.说到这里大家就可能想起了在线代和数值分析中学到的各种矩阵分解方法,QR,Jordan,三角分解,SVD... 这里说说svd分解. svd是将一个任意实矩阵分解为三个矩阵U,S,V,其中,U,V是两个正交矩阵,称为左右奇异			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZde0qM.html" rel="bookmark">AI人工智能专业词汇集</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				作为最早关注人工智能技术的媒体,机器之心在编译国外技术博客.论文.专家观点等内容上已经积累了超过两年多的经验.期间,从无到有,机器之心的编译团队一直在积累专业词汇.虽然有很多的文章因为专业性我们没能尽善尽美的编译为中文呈现给大家,但我们一直在进步.一直在积累.一直在提高自己的专业性. 两年来,机器之心编译团队整理过翻译词汇对照表「红宝书」,编辑个人也整理过类似的词典.而我们也从机器之心读者留言中发现,有些人工智能专业词汇没有统一的翻译标准,这可能是因地区.跨专业等等原因造成的.举个例子,Deep			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQr48wM.html" rel="bookmark">机器学习--线性代数基础</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				数学是计算机技术的基础,线性代数是机器学习和深度学习的基础,了解数据知识最好的方法我觉得是理解概念,数学不只是上学时用来考试的,也是工作中必不可少的基础知识,实际上有很多有趣的数学门类在学校里学不到,有很多拓展类的数据能让我们发散思维,但掌握最基本的数学知识是前提,本文就以线性代数的各种词条来做一下预热,不懂的记得百度一下. 请尊重原创,转载请注明来源网站www.shareditor.com以及原始链接地址 矩阵与方程组 还记得n*n方程组是怎么求解的吗?这个术语叫&quot;回代法&quot;,即转成三			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZBmaoz.html" rel="bookmark">从理论到实践，一文详解 AI 推荐系统的三大算法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  介绍 背景 随着互联网行业的井喷式发展,获取信息的方式越来越多,人们从主动获取信息逐渐变成了被动接受信息,信息量也在以几何倍数式爆发增长.举一个例子,PC时代用google reader,常常有上千条未读博客更新:如今的微信公众号,也有大量的红点未阅读.垃圾信息越来越多,导致用户获取有价值信息的成本大大增加.为了解决这个问题,我个人就采取了比较极端的做法:直接忽略所有推送消息的入口.但在很多时候,有效信息的获取速度极其重要. 由于信息的爆炸式增长,对信息获取的有效性,针对性的需求也就自然出现			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bBZoydb.html" rel="bookmark">R语言中矩阵运算</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				目录: 1_矩阵的生成 2_矩阵的四则运算 3_矩阵的矩阵运算 4_矩阵的分解 1_1将向量定义成数组     向量只有定义了维数向量(dim属性)后才能被看作是数组.比如: &gt; z=1:12; &gt; dim(z)=c(3,4); &gt; z;     [,1] [,2] [,3] [,4] [1,]   1   4   7  10 [2,]   2   5   8  11 [3,]   3   6   9  12 注意:生成矩阵是按列排列的. 1_2用array ( )函数构造多维数组   			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VzwlOkb.html" rel="bookmark" class="title">求java对二值图片中的独立块切割，并存成新的独立图片。</a>
					<div>
						问题描述 求java对二值图片中的独立块切割,并存成新的独立图片. 例如:将类似下图中有5个小块块,则存成5个文件.谢谢! 解决方案 或者能得到这几个不规则块的中心坐标也可以,其他的我自己能解决. 解 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7b2VYVb.html" rel="bookmark" class="title">web压力测试工具apache</a>
					<div>
						现在很多web压力测试工具都是收费的,但是apache却自带了一个免费的压力测试工具,即ab工具(命令).具体可在Apache的根目录下的bin目录里面,找到一个ab.exe文件就是.用它可以粗略检测 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9bBPE9p.html" rel="bookmark" class="title">内网FTP服务器架设不完全解析</a>
					<div>
						ftp服务器 首先要提到的是这里的内网是指一般我们网吧内部环境的内网,对局域网内网我没什么好说的,愿花钱的去DNS0755好了.一个基本条件:一个公网IP,对网关有操作权限. FTP服务器端192.1 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ybjPBVp.html" rel="bookmark" class="title">利用FlashMX的AS画线集萃</a>
					<div>
						使用方法:把代码拷到帧中就可看到效果 效果:可按住鼠标任意画线,可作简单的涂鸭工具 代码: createEmptyMovieClip(&quot;xian&quot;,1); with (xian)  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Nz7O9Az.html" rel="bookmark" class="title">在vb&period;net使用System&period;IO读取文本文件</a>
					<div>
						Imports SystemImports System.IOImports System.Collections Module Module1     Sub Main()        Dim o ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPNegrb.html" rel="bookmark" class="title">WPS文档制作语文试卷应用技巧五则</a>
					<div>
						一.填空 在语文作业与测试中,经常需要学生们填空,有时是没有标准答案,这还好办,可以随意填写,批改作业与试卷时也可以灵活操作.而有时必须是填写标准答案,这在批改作业与试卷时就不可随意了,就要与标准答案 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJ7BkVb.html" rel="bookmark" class="title">ASP和HTML表单动态网页制作</a>
					<div>
						  在 ASP 中,有两个很常用的集合,一个是 Request.QueryString,另一个是 Request.Form.这两个集合可以获取 HTML 表单(HTML Forms) 提交的信息. R ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1RZ08p.html" rel="bookmark" class="title">电脑开机主板不通电的解决方法</a>
					<div>
						  电脑开机主板不通电的解决方法 如果是笔记本,遇到主板不通电最好是及时报修.如果是自己组装的机子,那么主板不通电是可以自己开机箱检查的.如果主板出问题无法形成闭合电路,那么电源电压也是白搭.所以细细 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk28RwM.html" rel="bookmark" class="title">利用curl抓取远程页面内容的示例代码</a>
					<div>
						利用curl抓取远程页面内容的一个小示例,需要的朋友可以过来参考下   最基本的操作如下 复制代码 代码如下: $curlPost = 'a=1&amp;b=2';//模拟POST数据 $ch = c ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/badE3Xz.html" rel="bookmark" class="title">Win7桌面上的文件删不掉怎样解决？</a>
					<div>
						  1.打开任务管理器看看是否是这个文件夹内的某个程序还在运行,找到后关闭运行的程序,再删除试试. 2.文件夹设定了访问权限也可能导致不能删除.右键点击要删除的文件夹,选择共享和安全,然后将用户权限添 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQNgKWM.html" rel="bookmark" class="title">GHOST系统时出现&OpenCurlyDoubleQuote;A&colon;&bsol;GHOSTERR&period;TXT&rdquo;怎么办</a>
					<div>
						  故障原因及解决方法: 1.ghost系统光盘表面有磨损.请重新下载并检验ISO文件的MD5是否正确,再刻录成光盘. 2.内存有问题时也会有这种现象.可以更换内存再试,或者可以把硬盘接到另一台电脑上 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE67x3M.html" rel="bookmark" class="title">js中根据字数截取字符串，不能截断url&lowbar;javascript技巧</a>
					<div>
						今天收到个需求: 1,给一个文字,对输出的文字进行截取,保留400个字符 2,截取内容最后如果是url,保留完整url地址 3,添加省略号...... ---- 其中对url的保留比较麻烦,尤其是有两 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXwqoLM.html" rel="bookmark" class="title">android 实现页面左右滑动</a>
					<div>
						问题描述 android 实现页面左右滑动 viewpager + fragment 之外 有什么好的框架可以实现吗 解决方案 要实现 页面左右滑动的效果 ?就一定要由手势识别器, 就是这个对象 Ge ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5NRORz.html" rel="bookmark" class="title">怎么获取SysTreeView32控件下所有节点句柄并发送消息选中单击</a>
					<div>
						问题描述 如图左边是一个SysTreeView32控件,我想获取该控件下所有节点的句柄,并能发送消息选中单击某个指定名称节点求指点...小菜鸟刚接触API不久在线等.....求源码#regionAPI ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm6RxBz.html" rel="bookmark" class="title">怎样做好一个产品之用户体验</a>
					<div>
						第2章  产品之魂,用户体验  2.1  用户购买以满意度为衡量标准的用户体验    产品之魂是用户体验,最好的产品使用起来简单.简单.再简单而又产生出蒙太奇般升华效应的用户体验,企业永远要把用户体验 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlQW5np.html" rel="bookmark" class="title">c&plus;&plus;-Linux C&plus;&plus;后台用什么框架？</a>
					<div>
						问题描述 Linux C++后台用什么框架? 我想做一个C++的后台 前台是用php 或asp之类做的网页,通过网络进行通信,我现在是希望大家能给推荐几个关于做后台用的C++的框架,谢谢大家了 解决方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE6nlJM.html" rel="bookmark" class="title">分布式计划任务设计与实现</a>
					<div>
						分布式计划任务设计与实现 http://netkiller.github.io/journal/scheduler.html Mr. Neo Chen (netkiller), 陈景峰(BG7NYT) ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYjG9Bp.html" rel="bookmark" class="title">计算机体系结构3&lowbar;单处理器内存访问顺序</a>
					<div>
						一,单处理器访问顺序      1.指令execute和指令retire        Instruction execution creates  results and status and de ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQrlBGM.html" rel="bookmark" class="title">Python&lowbar;异常处理</a>
					<div>
						异常 异常即非正常状态,在Python中使用异常对象来表示异常.若程序在编译或运行过程中发生错误,程序的执行过程就会发生改变,抛出异常对象,程序流进入异常处理.如果异常对象没有被处理或捕捉,程序就会执 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqR0WRp.html" rel="bookmark" class="title">多媒体服务器架构实现方案（信息发布端 &plus; 服务器 &plus; 播放端） ？</a>
					<div>
						问题描述 多媒体服务器架构实现方案(信息发布端 + 服务器 + 播放端) ? 我想实现一个平台c/s架构,主要用多媒体信息资源的发布(类似于广告机的信息发布平台) 1. 信息发布控制端 (发布播放资源 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjLYn0p.html" rel="bookmark" class="title">使用IBM Rational Software Architect为Java项目生成序列图</a>
					<div>
						他还将解释序列图无法编辑的问题,生成可编辑序列图的必要性,以及生成可编辑图表的步骤. 导入样例应用程序 在浏览该示例时,我们将使用 IBM® Rational® Software Architect  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWlAaep.html" rel="bookmark" class="title">c&plus;&plus;-怎么统计string字符串中出现频率最高的三个字符，包括汉字大小写字母</a>
					<div>
						问题描述 怎么统计string字符串中出现频率最高的三个字符,包括汉字大小写字母 int main stiring str; cin&gt;&gt;str; cout&lt;&lt;&quot;出现频 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmKxwDb.html" rel="bookmark" class="title">速卖通实施新版侵权禁限售规则</a>
					<div>
						摘要: 2月12日消息,阿里巴巴旗下外贸电商平台全球速卖通近日开始实施新版侵权禁限售规则,处罚执行改用积分制,且禁限售违规扣分和知识产权违规扣分将合并计算.日前,速卖通已发布 2月12日消息,阿里巴巴 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBgYjoM.html" rel="bookmark" class="title">关于窗体属性-vs的窗体怎么绑定的？</a>
					<div>
						问题描述 vs的窗体怎么绑定的? 我再网上下的资源里面,有个窗体它的属性里面都是灰色的,而且窗体中元素的属性里面有个名字和另一个窗体中元素的属性名字一样,另一个窗体中元素的属性可以改.放图,就是这个不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5ReK6z.html" rel="bookmark" class="title">bosh&mdash;cli部署micro bosh出现报错，求解答。</a>
					<div>
						问题描述 各位好,小弟在实际部署cloudfoundry的时候遇到一个问题特此求救.问题现象:在vsphere上部署cloudfoundry在部署microbosh的时候出现问题.boshcli上执行 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZBngaz.html" rel="bookmark" class="title">rose-高级语言转换后如何运行</a>
					<div>
						问题描述 高级语言转换后如何运行 那天看到有ROSE编译器这样的源到源的编译器 可以实现C/C++,java这样的高级语言的相互转换 但是有一点不解,代码可以利用抽象语法树AST实现相互转换,但是运行 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0n1Gjz.html" rel="bookmark" class="title">Jsmooth打包exe启动报错</a>
					<div>
						问题描述 写了一个很小的javaSE程序 照着网上的方法打包成一个exe程序点击打开的时候 会报错如图:我参考的jsmooth打包的方法是这个帖子的:http://yisufuyou.iteye.co ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1Najjp.html" rel="bookmark" class="title">Jquery异步请求数据实例代码&lowbar;jquery</a>
					<div>
						一.Jquery向aspx页面请求数据 前台页面JS代码: 复制代码 代码如下: $(&quot;#Button1&quot;).bind(&quot;click&quot;, function () ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6G52Yp.html" rel="bookmark" class="title">jQuery Easyui 验证两次密码输入是否相等&lowbar;jquery</a>
					<div>
						什么是 jQuery EasyUI jQuery EasyUI 框架提供了创建网页所需的一切,帮助您轻松建立站点. easyui 是一个基于 jQuery 的框架,集成了各种用户界面插件. easyu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn8e4ob.html" rel="bookmark" class="title">不能投的15类公司</a>
					<div>
						巴菲特五分钟之内决定投资某家公司的故事被人津津乐道,其实那是建立在巴菲特对这家公司业务盈利模式充分了解,还有长期关注观察这家公司的经营状况的基础上的.我等没有巴菲特的功力,也缺乏了解公司经营状况的内幕 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
